!!ARBfp1.0

#hdr bloom range isolation
#Author: Rich Whitehouse
#---------------------------------------------------------------------

OUTPUT	out = result.color;
PARAM	thresh = program.env[0];

TEMP	scrd;

#fetch the textures
TEX	scrd, fragment.texcoord[0], texture[0], 2D;

#don't actually want to clamp up to 1, so can't do a sat
SUB	scrd, scrd, thresh.x;
MAX	scrd, scrd, 0.0;

#renormalize colors that that exceed double intensity (rgb *= 1.0/max3(rgb))
#MAX	t.x, scrd.x, scrd.y;
#MAX	t.x, t.x, scrd.z;
#RCP	t.x, t.x;
#MIN	t.x, t.x, 1.0;
#MUL	scrd.xyz, scrd, t.x;

MOV	out, scrd;

END
