!!ARBfp1.0

#post process 3
#Author: Rich Whitehouse
#---------------------------------------------------------------------

#texture0 is the decal

OUTPUT	out = result.color;
TEMP	smp, dcal, t;
PARAM	hx = program.env[0];

MOV	t, fragment.texcoord[0];
#fetch the texture
TEX	dcal, t, texture[0], 2D;
MUL	dcal, dcal, 0.2;

ADD	t.x, t.x, hx.x;
TEX	smp, t, texture[0], 2D;
MAD	dcal, smp, 0.2, dcal;

ADD	t.x, t.x, hx.y;
TEX	smp, t, texture[0], 2D;
MAD	dcal, smp, 0.2, dcal;

MOV	t.x, fragment.texcoord[0].x;
ADD	t.y, t.y, hx.z;
TEX	smp, t, texture[0], 2D;
MAD	dcal, smp, 0.2, dcal;

ADD	t.y, t.y, hx.w;
TEX	smp, t, texture[0], 2D;
MAD	dcal, smp, 0.2, dcal;

MAX	dcal.r, dcal.r, dcal.b;
MAX	dcal.r, dcal.r, dcal.g;

MOV	dcal.w, 1.0;
MOV_SAT	out, dcal.r;

END
